summaryrefslogtreecommitdiff
path: root/source3
diff options
context:
space:
mode:
authorAndreas Schneider <asn@samba.org>2020-11-19 17:43:58 +0100
committerAndrew Bartlett <abartlet@samba.org>2021-06-16 00:34:38 +0000
commitc01213471fe77c6b07c1008a4b4f5153afffa71e (patch)
treea253c9e0683a269ba128e9052ae37a4a032f3c4e /source3
parentb49a8605563c90467b5e22cea755bdbf1248c846 (diff)
downloadsamba-c01213471fe77c6b07c1008a4b4f5153afffa71e.tar.gz
testprogs: Use new kerberos options for smbclient(4) tests
Signed-off-by: Andreas Schneider <asn@samba.org> Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/tests/test_smbclient_krb5.sh2
-rwxr-xr-xsource3/script/tests/test_smbd_no_krb5.sh6
2 files changed, 4 insertions, 4 deletions
diff --git a/source3/script/tests/test_smbclient_krb5.sh b/source3/script/tests/test_smbclient_krb5.sh
index 02117dc3350..f90f50f33c4 100755
--- a/source3/script/tests/test_smbclient_krb5.sh
+++ b/source3/script/tests/test_smbclient_krb5.sh
@@ -16,6 +16,6 @@ ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
. $incdir/subunit.sh
-testit "smbclient" $VALGRIND $SMBCLIENT3 //$SERVER/tmp -c 'ls' -k $ADDARGS || failed=`expr $failed + 1`
+testit "smbclient" $VALGRIND $SMBCLIENT3 //$SERVER/tmp -c 'ls' --use-krb5-ccache=$KRB5CCNAME $ADDARGS || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/test_smbd_no_krb5.sh b/source3/script/tests/test_smbd_no_krb5.sh
index e9dbb4ae80e..a49d3748f20 100755
--- a/source3/script/tests/test_smbd_no_krb5.sh
+++ b/source3/script/tests/test_smbd_no_krb5.sh
@@ -29,17 +29,17 @@ failed=0
opt="--option=gensec:gse_krb5=yes -U${USERNAME}%${PASSWORD}"
# check kerberos access
-test_smbclient "test_krb5" "ls" "//$SERVER/tmp" $opt -k || failed=`expr $failed + 1`
+test_smbclient "test_krb5" "ls" "//$SERVER/tmp" $opt --use-kerberos=required || failed=`expr $failed + 1`
# disbale krb5 globally so smbd won't accept it
global_inject_conf=$(dirname $SMB_CONF_PATH)/global_inject.conf
echo 'gensec:gse_krb5=no' > $global_inject_conf
# verify that kerberos fails
-test_smbclient_expect_failure "smbd_no_krb5" "ls" "//$SERVER/tmp" -k $opt || failed=`expr $failed + 1`
+test_smbclient_expect_failure "smbd_no_krb5" "ls" "//$SERVER/tmp" --use-kerberos=required $opt || failed=`expr $failed + 1`
# verify downgrade to ntlmssp
-test_smbclient "test_spnego_downgrade" "ls" "//$SERVER/tmp" $opt || failed=`expr $failed + 1`
+test_smbclient "test_spnego_downgrade" "ls" "//$SERVER/tmp" $opt --use-kerberos=disabled || failed=`expr $failed + 1`
echo '' > $global_inject_conf